<div class="outcome">
  <app-content-banner [isDashboard]="false" pageName="Outcome"></app-content-banner>
  <mat-card class="outcome-main-card mat-elevation-z0">
    <mat-card-header fxLayout="column" fxLayoutGap="10px">
      <det-client-banner [isHousingProgramType]="false"></det-client-banner>
    </mat-card-header>
    <mat-card-content>
      <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="outcomeTabChange()">
        <!--Outcome-->
        <mat-tab>
          <ng-template matTabLabel>
            <span>Outcome</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="outcome-small-box mat-elevation-z4" fxLayout="column">
                <div class="outcome-container mat-elevation-z4">
                  <form class="section regular-mat-form-field" [formGroup]="outcomeFormGroup">
                    <div fxLayout="row" fxLayout.lt-md="column" style="width: 100%; margin-top:15px">
                      <div fxLayout="column" style="width: 100%">
                        <span><b>Last Approved / Disapproved Client Application :</b>
                        </span>
                        <ag-grid-angular style="width: 100%" class="ag-theme-balham existing-approvals-grid"
                          [rowData]="existingApprovalsRowData" [columnDefs]="existingApprovalsColumnDefs"
                          (gridReady)="existingApprovalsGridReady($event)" [floatingFilter]="true" [animateRows]="false"
                          [overlayNoRowsTemplate]="existingApprovalsOverlayNoRowsTemplate"
                          [context]="existingApprovalsContext"
                          [frameworkComponents]="existingApprovalsFrameworkComponents"
                          [defaultColDef]="existingApprovalsDefaultColDef" [pagination]="true" [paginationPageSize]="5">
                        </ag-grid-angular>
                      </div>
                    </div>
                    <br>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <span class="span-style">
                        <span class="required-label-color">
                          Is there a reason to administratively withdraw this application? :
                        </span>
                        &nbsp;
                        <span>
                          <mat-radio-group formControlName="withdrawCtrl"
                            (change)="onAdministrativeWithdrawChange($event)">
                            <mat-radio-button value="Y">Yes
                            </mat-radio-button>
                            &nbsp;&nbsp;&nbsp;
                            <mat-radio-button value="N">No
                            </mat-radio-button>
                          </mat-radio-group>
                        </span>
                      </span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" *ngIf="isWithdrawn">
                      <span class="span-style">
                        <span class="required-label-color">
                          Reason :
                        </span>
                        &nbsp;
                        <span>
                          <mat-form-field appearance="outline" style="width: 25%">
                            <mat-select formControlName="withdrawReasonCtrl" placeholder="Select"
                              (selectionChange)="onReasonChange($event)">
                              <mat-option *ngFor="let reason of withdrawReasons" [value]="reason.refGroupDetailID">
                                {{ reason.refGroupDetailDescription }}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </span>
                      </span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" *ngIf="isWithdrawn">
                      <span class="span-style required-label-color" *ngIf="isAdditionalLetterCommentsRequired">
                        Additional Letter Comments :
                      </span>
                      <span class="span-style" *ngIf="!isAdditionalLetterCommentsRequired">
                        Additional Letter Comments :
                      </span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" *ngIf="isWithdrawn">
                      <span class="letter-comments-text-area span-style">
                        <mat-form-field appearance="outline" style="width: 98.5%">
                          <textarea rows="3" maxlength="2000" minlength="2" matInput class="text-additional-comments"
                            formControlName="additionalLetterCommentsCtrl"></textarea>
                        </mat-form-field>
                      </span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" *ngIf="isRejectedQuestion">
                      <span class="span-style">
                        <span class="required-label-color">
                          Is there a reason to administratively reject this application? :
                        </span>
                        &nbsp;
                        <span>
                          <mat-radio-group formControlName="rejectQuestionCtrl"
                            (change)="onAdministrativeRejectChange($event)">
                            <mat-radio-button value="Y">Yes
                            </mat-radio-button>
                            &nbsp;&nbsp;&nbsp;
                            <mat-radio-button value="N">No
                            </mat-radio-button>
                          </mat-radio-group>
                        </span>
                      </span>
                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
            <br>
            <div class="content-main">
              <div class="content-sub">
                <div class="content-sub-button-parent-left" *ngIf="isWithdrawn">
                  <button type="button" mat-raised-button color="primary" (click)="saveOutcome()" matTooltip="Save"
                    matTooltipClass="pact-tooltip">Save</button>
                </div>
                <div class="content-sub-button-parent-right">
                  <button type="button" mat-raised-button color="primary" (click)="previousOutcomeTab()"
                    matTooltip="Previous" matTooltipClass="pact-tooltip">Previous</button>
                  &nbsp;&nbsp;
                  <button type="button" mat-raised-button color="primary" (click)="nextOutcomeTab()" matTooltip="Next"
                    matTooltipClass="pact-tooltip">Next</button>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!--Administrative Reject-->
        <mat-tab *ngIf="showAdministrativeRejectTab">
          <ng-template matTabLabel>
            <span>Administrative Reject</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="outcome-small-box mat-elevation-z4" fxLayout="column">
                <div class="outcome-container mat-elevation-z4">
                  <form class="section" [formGroup]="administrativeRejectFormGroup">
                    <div fxLayout="row" fxLayout.lt-md="column" style="margin-top: 15px">
                      <span class="required-label-color span-style">Select missing documentation (if any) :</span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column">

                      <table class="ag-theme-balham reject-details-table">
                        <thead>
                          <tr>
                            <th class="algin-left">Reason</th>
                            <th>Psychosocial</th>
                            <th>Psychiatric Evaluation</th>
                            <th>MHR Report</th>
                            <th>Medical Documents</th>
                            <th>Substance Use Documents</th>
                            <th>Homeless Verification</th>
                            <th>Foster Care</th>
                            <th>Other</th>
                          </tr>
                        </thead>
                        <tbody>
                          <tr>
                            <td class="algin-left">Missing Document</td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 1)"
                                [checked]="applicationRejectionDetailsArray.indexOf(1) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 2)"
                                [checked]="applicationRejectionDetailsArray.indexOf(2)>= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 3)"
                                [checked]="applicationRejectionDetailsArray.indexOf(3)>= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 4)"
                                [checked]="applicationRejectionDetailsArray.indexOf(4) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 5)"
                                [checked]="applicationRejectionDetailsArray.indexOf(5) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 6)"
                                [checked]="applicationRejectionDetailsArray.indexOf(6) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 7)"
                                [checked]="applicationRejectionDetailsArray.indexOf(7) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 8)"
                                [checked]="applicationRejectionDetailsArray.indexOf(8) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                          </tr>
                          <tr>
                            <td class="algin-left">Missing Author’s Name</td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 9)"
                                [checked]="applicationRejectionDetailsArray.indexOf(9) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 10)"
                                [checked]="applicationRejectionDetailsArray.indexOf(10) >= 0  ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 11)"
                                [checked]="applicationRejectionDetailsArray.indexOf(11) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 12)"
                                [checked]="applicationRejectionDetailsArray.indexOf(12) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 13)"
                                [checked]="applicationRejectionDetailsArray.indexOf(13) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 14)"
                                [checked]="applicationRejectionDetailsArray.indexOf(14) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 15)"
                                [checked]="applicationRejectionDetailsArray.indexOf(15) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 16)"
                                [checked]="applicationRejectionDetailsArray.indexOf(16) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                          </tr>
                          <tr>
                            <td class="algin-left">Illegible Document</td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 17)"
                                [checked]="applicationRejectionDetailsArray.indexOf(17) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 18)"
                                [checked]="applicationRejectionDetailsArray.indexOf(18) >= 0  ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 19)"
                                [checked]="applicationRejectionDetailsArray.indexOf(19) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 20)"
                                [checked]="applicationRejectionDetailsArray.indexOf(20) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 21)"
                                [checked]="applicationRejectionDetailsArray.indexOf(21) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 22)"
                                [checked]="applicationRejectionDetailsArray.indexOf(22) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 23)"
                                [checked]="applicationRejectionDetailsArray.indexOf(23) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 24)"
                                [checked]="applicationRejectionDetailsArray.indexOf(24) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                          </tr>
                          <tr>
                            <td class="algin-left">Outdated Document</td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 25)"
                                [checked]="applicationRejectionDetailsArray.indexOf(25) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 26)"
                                [checked]="applicationRejectionDetailsArray.indexOf(26) >= 0  ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 27)"
                                [checked]="applicationRejectionDetailsArray.indexOf(27) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 28)"
                                [checked]="applicationRejectionDetailsArray.indexOf(28) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 29)"
                                [checked]="applicationRejectionDetailsArray.indexOf(29) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 30)"
                                [checked]="applicationRejectionDetailsArray.indexOf(30) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 31)"
                                [checked]="applicationRejectionDetailsArray.indexOf(31) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                            <td>
                              <mat-checkbox (change)="onRejectCellChange($event, 32)"
                                [checked]="applicationRejectionDetailsArray.indexOf(32) >= 0 ? true : false">
                              </mat-checkbox>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                    <br>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <span class="span-style">
                        <span class="required-label-color">
                          Select any combination of reasons (one or more) and/or enter Additional Comments :
                        </span>
                        &nbsp;
                        <span>
                          <mat-form-field appearance="outline" style="width: 35%">
                            <mat-select formControlName="administrativeRejectReasonCtrl"
                              placeholder="Select one or more reasons" multiple
                              (selectionChange)="onAdministrativeRejectReasonChange($event)">
                              <mat-option *ngFor="let reason of administrativeRejectReasons"
                                [value]="reason.refGroupDetailID">
                                {{ reason.refGroupDetailDescription }}
                              </mat-option>
                            </mat-select>
                          </mat-form-field>
                        </span>
                      </span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <span class="span-style required-label-color"
                        *ngIf="isAdministrativeRejectAdditionalLetterCommentsRequired">
                        Additional Letter Comments :
                      </span>
                      <span class="span-style" *ngIf="!isAdministrativeRejectAdditionalLetterCommentsRequired">
                        Additional Letter Comments :
                      </span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <span class="letter-comments-text-area span-style">
                        <mat-form-field appearance="outline" style="width: 98.5%">
                          <textarea rows="3" maxlength="2000" minlength="2" matInput class="text-additional-comments"
                            formControlName="administrativeRejectAdditionalLetterCommentsCtrl"></textarea>
                        </mat-form-field>
                      </span>
                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
            <br>
            <div class="content-main">
              <div class="content-sub">
                <div class="content-sub-button-parent-left">
                  <button type="button" mat-raised-button color="primary" (click)="saveAdministrativeReject()"
                    matTooltip="Save" matTooltipClass="pact-tooltip">Save</button>
                </div>
                <div class="content-sub-button-parent-right">
                  <button type="button" mat-raised-button color="primary" (click)="previousAdministrativeRejectTab()"
                    matTooltip="Previous" matTooltipClass="pact-tooltip">Previous</button>
                  &nbsp;&nbsp;
                  <button type="button" mat-raised-button color="primary" (click)="nextAdministrativeRejectTab()"
                    matTooltip="Next" matTooltipClass="pact-tooltip">Next</button>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!--Clinical Pre-Determination-->
        <mat-tab *ngIf="showClinicalPreDeterminationTab">
          <ng-template matTabLabel>
            <span>Clinical Pre-Determination</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="outcome-small-box mat-elevation-z4" fxLayout="column">
                <div class="outcome-container mat-elevation-z4">
                  <form class="section" [formGroup]="clinicalPreDeterminationFormGroup">
                    <div fxLayout="column" flex class="clinical-predetermination-inner-client-banner"
                      style="margin-top: 15px">
                      <div fxLayout="row" fxLayout.lt-md="column" fxLayoutAlign="start" class="inner-banner-row">
                        <span fxLayout="row">
                          <span>
                            <b>Referring Agency/Site :</b>
                            &nbsp;
                            {{ applicationDeterminationData ? (applicationDeterminationData.agencyName + '/' + applicationDeterminationData.siteName) : '' }}
                          </span>
                          <span>
                            <b>Site Type :</b>
                            &nbsp;
                            {{ applicationDeterminationData ? applicationDeterminationData.siteTypeDescription : '' }}
                          </span>
                        </span>
                      </div>
                    </div>
                    <br>
                    <div fxLayout="column" flex>
                      <div fxLayout="row">
                        <div fxFlex="70" class="col1header"><span fxFlex="100">Clinical Pre-Determination
                            Questions</span>
                        </div>
                        <div fxFlex="30" class="col2header"><span fxFlex="100">Answer</span></div>
                      </div>
                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1">
                          <span>Has the applicant had an approved Supportive Housing Application in the past 5
                            years?</span>
                          <span class="pre-outcome-text"
                            *ngIf="approvedApplicationPast5YearsText">({{ approvedApplicationPast5YearsText }})</span>
                        </div>
                        <div fxFlex="30" class="col2">
                          <mat-radio-group formControlName="approvedApplicationPast5YearsCtrl" disabled>
                            <div class="radio-button-space">
                              <mat-radio-button value="Y">Yes
                              </mat-radio-button>
                            </div>
                            &nbsp;
                            <div class="radio-button-space">
                              <mat-radio-button value="N">No
                              </mat-radio-button>
                            </div>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1">
                          <span>Does the applicant have a SMI diagnosis?</span>
                          <span class="pre-outcome-text"
                            *ngIf="haveSMIDiagnosisText">({{ haveSMIDiagnosisText }})</span>
                        </div>
                        <div fxFlex="30" class="col2">
                          <mat-radio-group formControlName="haveSMIDiagnosisCtrl" disabled>
                            <div class="radio-button-space">
                              <mat-radio-button value="Y">Yes
                              </mat-radio-button>
                            </div>
                            &nbsp;
                            <div class="radio-button-space">
                              <mat-radio-button value="N">No
                              </mat-radio-button>
                            </div>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1">
                          <span>Has the applicant used substances in the last 3 months?</span>
                          <span class="pre-outcome-text"
                            *ngIf="hasSubstanceUseLast3MonthsText">({{ hasSubstanceUseLast3MonthsText }})</span>
                        </div>
                        <div fxFlex="30" class="col2">
                          <mat-radio-group formControlName="hasSubstanceUseLast3MonthsCtrl" disabled>
                            <div class="radio-button-space">
                              <mat-radio-button value="Y">Yes
                              </mat-radio-button>
                            </div>
                            &nbsp;
                            <div class="radio-button-space">
                              <mat-radio-button value="N">No
                              </mat-radio-button>
                            </div>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1">
                          <span>Has the applicant been hospitalized in the past 3 years?</span>
                          <span class="pre-outcome-text" *ngIf="hasHospitalizedText">({{ hasHospitalizedText }})</span>
                        </div>
                        <div fxFlex="30" class="col2">
                          <mat-radio-group formControlName="hasHospitalizedPast3YearsCtrl" disabled>
                            <div class="radio-button-space">
                              <mat-radio-button value="Y">Yes
                              </mat-radio-button>
                            </div>
                            &nbsp;
                            <div class="radio-button-space">
                              <mat-radio-button value="N">No
                              </mat-radio-button>
                            </div>
                          </mat-radio-group>
                        </div>
                      </div>
                      <div fxLayout="row" fxLayoutGap="0px">
                        <div fxFlex="70" class="col1">
                          <span>Clinical Pre-Determination Outcome:</span>
                        </div>
                        <div fxFlex="30" class="col2" style="align-items: center; padding-bottom: 0">
                          <span style="color: green"><b>{{ preDeterminationOutcomeText }}</b></span>
                        </div>
                      </div>
                    </div>
                    <br>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <span class="required-label-color span-style">
                        Based on the current and prior supportive housing application(s), please select the appropriate
                        determination review :
                      </span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column">
                      <span class="span-style">
                        <mat-radio-group formControlName="housingProgramSelectedCtrl"
                          (change)="onHousingProgramChange($event)">
                          <mat-radio-button value="S">Supportive Housing
                          </mat-radio-button>
                          &nbsp;&nbsp;&nbsp;
                          <mat-radio-button value="G">General Population
                          </mat-radio-button>
                        </mat-radio-group>
                      </span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" *ngIf="isGenpop">
                      <span class="span-style">
                        <span class="required-label-color">
                          Do any of the applicant's clinical conditions require supports not offered by DHS general
                          population housing? :
                        </span>
                        &nbsp;
                        <span>
                          <mat-radio-group formControlName="requiresSupportCtrl"
                            (change)="onRequireSupportChange($event)">
                            <mat-radio-button value="Y">Yes
                            </mat-radio-button>
                            &nbsp;&nbsp;&nbsp;
                            <mat-radio-button value="N">No
                            </mat-radio-button>
                          </mat-radio-group>
                        </span>
                      </span>
                    </div>
                    <div fxLayout="row" fxLayout.lt-md="column" *ngIf="isGenpopExplain">
                      <span class="span-style">
                        <span class="required-label-color">
                          Explain :
                        </span>
                        &nbsp;
                        <span class="letter-comments-text-area">
                          <mat-form-field appearance="outline" style="width: 90%">
                            <textarea rows="3" maxlength="2000" minlength="2" matInput
                              formControlName="requiresSupportExplainCtrl"></textarea>
                          </mat-form-field>
                        </span>
                      </span>
                    </div>
                  </form>
                </div>
              </div>
            </mat-card>
            <br>
            <div class="content-main">
              <div class="content-sub">
                <div class="content-sub-button-parent-left">
                  <button type="button" mat-raised-button color="primary" (click)="saveClinicalPreDetermination()"
                    matTooltip="Save" matTooltipClass="pact-tooltip">Save</button>
                </div>
                <div class="content-sub-button-parent-right">
                  <button type="button" mat-raised-button color="primary"
                    (click)="previousClinicalPreDeterminationTab()" matTooltip="Previous"
                    matTooltipClass="pact-tooltip">Previous</button>
                  &nbsp;&nbsp;
                  <button type="button" mat-raised-button color="primary" (click)="nextClinicalPreDeterminationTab()"
                    matTooltip="Next" matTooltipClass="pact-tooltip">Next</button>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
        <!--Determination Letter-->
        <mat-tab *ngIf="showDeterminationLetterTab">
          <ng-template matTabLabel>
            <span>Determination Letter</span>
          </ng-template>
          <ng-template matTabContent>
            <mat-card class="mat-elevation-z0">
              <div class="outcome-small-box mat-elevation-z4" fxLayout="column">
                <div class="outcome-container mat-elevation-z4">
                  <form class="section" style="margin-top: 10px">
                    <iframe width="100%" height="100%" style="height: 500px!important" [src]="determinationLetterURL"
                      *ngIf="determinationLetterURL" tabindex="0">
                    </iframe>
                  </form>
                </div>
              </div>
            </mat-card>
            <br>
            <div class="content-main">
              <div class="content-sub">
                <div class="content-sub-button-parent-right">
                  <button type="button" mat-raised-button color="primary" (click)="previousDeterminationLetterTab()"
                    matTooltip="Previous" matTooltipClass="pact-tooltip">Previous</button>
                  &nbsp;&nbsp;
                  <button type="button" mat-raised-button color="primary" (click)="nextDeterminationLetterTab()"
                    matTooltip="Next" matTooltipClass="pact-tooltip">Next</button>
                </div>
              </div>
            </div>
          </ng-template>
        </mat-tab>
      </mat-tab-group>
    </mat-card-content>
  </mat-card>
</div>